Subject: Re: [bug#74306] [PATCH gnome-team 00/44] gstreamer, GTK, fontmanager updates

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 12 Nov 2024 22:57:08 +0900

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 11.11.2024 um 14:50 +0900 schrieb Maxim Cournoyer:
>> Hi,
>> 
>> Here's a batch of GNOME related updates.  I've updated packages that
>> had test
>> suite failures (sometimes non-deterministic) or were otherwise having
>> problems to build and updated the gstreamer series.
>> 
>> I've included the meson update bump here, since a recent meson is
>> increasingly needed by GNOME components and the parallel tests helps
>> shorten builds too.
>> 
>> Maxim Cournoyer (44):
>>   gnu: dee: Use latest vala.
> What's the rationale here?

Getting closer to getting rid of the older vala variant we carry.

>>   gnu: gvfs: Patch mount, umount and lsof commands.
>>   gnu: gnome-vfs: Remove trailing #t.
>>   gnu: nautilus: Update to 46.1.
>>   gnu: gstreamer: Update to 1.24.8.
>>   gnu: gst-plugins-base: Update to 1.24.8.
>>   gnu: gst-plugins-good: Update to 1.24.8.
>>   gnu: gst-plugins-bad: Update to 1.24.8.
>>   gnu: gst-plugins-ugly: Update to 1.24.8.
>>   gnu: gst-libav: Update to 1.24.8.
>>   gnu: gst-editing-services: Update to 1.24.8.
>>   gnu: python-gst: Update to 1.24.8.
>>   gnu: gst-plugins-espeak: Update to 0.6.0.
>>   build/meson: Enable parallel tests by default.
>>   gnu: meson: Update to 1.5.2.

> We currently have Meson 1.5 as an extra variable on gnome-team.  If
> possible, I'd avoid cutting even deeper than we already do.

It's a question of time before it hits master; it's lined up for a topical
upgrade in #73765, after the qt-team and lisp-team branches get merged
(see: https://qa.guix.gnu.org/).

>>   gnu: glib: Fix build.
>>   gnu: glib-minimal: Fix deprecation warning.
>>   gnu: libmbim: Update to 1.30.0.
>>   gnu: Add libqrtr-glib.
>>   gnu: libqmi: Update to 1.34.0.
>>   gnu: gi-docgen: Update to 2024.1.
>>   gnu: glib-minimal: Update to 2.83.0.
>>   gnu: glib-networking: Update to 2.80.0.
>>   gnu: libsoup-minimal: Disable test suite.
>>   gnu: modem-manager: Update to 1.22.0.
>>   gnu: libquicktime: Remove ffmpeg-4 and gtk+-2 inputs.
>>   gnu: mjpegtools: Remove gtk+-2 input.
>>   gnu: libdbusmenu: Remove gtk+-2 input.
>>   gnu: libnice: Update to 0.1.22.
>>   gnu: gtk: Update to 4.17.0.
>>   gnu: fontmanager: Update to 0.9.0.
>>   gnu: fontmanager: Use gexps and drop input labels.
>>   gnu: libvisual: Update to 0.4.2.
>>   gnu: libvisual-plugins: Update to 0.4.2.
>>   gnu: orc: Update to 0.4.40.
>>   gnu: gstreamer-docs: Update to 1.24.9.
>>   gnu: gstreamer: Update to 1.24.9.
>>   gnu: gst-plugins-base: Update to 1.24.9.
>>   gnu: gst-plugins-good: Update to 1.24.9.
>>   gnu: gst-plugins-bad: Update to 1.24.9.
>>   gnu: gst-plugins-ugly: Update to 1.24.9.
>>   gnu: gst-libav: Update to 1.24.9.
>>   gnu: gst-editing-services: Update to 1.24.9.
>>   gnu: python-gst: Update to 1.24.9.
> Can we squash the gstreamer things into one commit rather than two?

Do you mean gtreamer-docs and gstreamer?  These are two distinct
packages, hence two distinct commits.

> I also commented on some individual patches and will defer to CI for
> the minor bumps I didn't comment on.

Thanks for taking a look!  One thing I'd like clarification on is
whether 'bash-completion' is intended as an input or native-input.  I'm
guessing the later but I'm not sure.

I have some issue to fix in modem-manager (the udevdir is wrong).  If
Zheng if quick enough, perhaps I could merge their series first, which
also updated modem-manager in #73981, which I've reviewed.

-- 
Thanks,
Maxim